<script lang="ts">
  import CompetitionCard from '$lib/competitions/CompetitionCard.svelte';
  import { EngagementData } from '$lib/data/engagementData';
  import type { Competition } from '@types';

  type PageData = {
    competitionId: string;
  };

  /** @type {import('./$types').PageData} // Data from +page.ts */
  export let data: PageData;
  const competition: Competition = EngagementData.data.competitions[data.competitionId];
</script>

<div class="max-w-fit mx-auto p-2" style="min-width: 300px">
  <CompetitionCard name={data.competitionId} data={competition} />
</div>
